Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Asset
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
      GET
  • Core HR
    • Attendance
      • Get Time Attendance
      • Get Time Attendances Lite
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
        POST
      • Update Asset
        POST
      • Get Employee Assets
        GET
    • Employee
      • Get Employee
      • Update Employee
      • Get List Employees
      • Get Employees List
      • Get Mastertypes List
      • Get Name Prefixes
      • Get Document Types
      • Update Employee
      • Add Employee Attachment
      • Update Employee Address
      • Update Employee Family
      • Update Employee Information
      • Update Employee Contact
      • Update Employee Education
      • Update Employee Experience
      • Update Employee CustomField
      • Delete Employee
      • Get Employee Role
      • Get Employee Movement Lists
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • SearchProjects
      • SearchTasks
      • AddTimeSheetEntry
  • Payroll
    • Create Loan
      POST
    • Get Loan
      GET
    • Get Cost Center
      POST
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
  • Welfare
    • Get Shuttle Buses
      GET
    • Get Passengers
      GET
  • Goals
    • Update KPI
  • Engagement
    • Achievement
      • GetEmployeeAchievementsByEmployeeNoAsync
      • CreateAchievementCardAsync
      • CreateAchievementAwardDocumentAsync
    • Praise
      • GetEmployeePraisesByEmployeeNoAsync
      • GetPraiseTypesAsync
      • CreatePraiseRewardManagerAsync
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  1. Asset

Update Asset

POST
https://api.gofive.co.th/empeo/api/v1/assets/update

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Body Params application/json

Example
{    "assetCodeRefId": "Asset001",
    "newAssetCodeRefId": "Asset002",
    "name": "MacBook Air 13",
    "assetCategoryId": 23452,
    "companyName": "Gofive",
    "employeeRefId": "8888",
    "serialNo": "EP3600",
    "branchId": 0,
    "cost": 4999,
    "remark": "MacBook Air 13: M1 chip 8C CPU/7C GPU/8GB/256GB - Gold-2020 MacBook Air พลังหนักๆ บนความบางเบา โน้ตบุ๊คที่บางและเบาที่สุดของเรา วันนี้พลิกโฉมใหม่หมดในทุกด้าน ด้วยชิพ Apple M1 ที่ทำให้มี CPU เร็วขึ้นสูงสุด 3.5 เท่า และ GPU เร็วขึ้นสูงสุด 5 เท่า รวมทั้ง Neural Engine ที่ล้ำหน้าที่สุดของเรา",
    "tagNames": "ไอที",
    "hasWarranty": true,
    "monthOfWarranty": 12,
    "datePurchase": "2024-08-12 14:35:42",
    "isCommon": false
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/assets/update' \
--header 'Ocp-Apim-Subscription-Key: 20ed4158ed784b1da077647b263ccf6e' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{    "assetCodeRefId": "Asset001",
    "newAssetCodeRefId": "Asset002",
    "name": "MacBook Air 13",
    "assetCategoryId": 23452,
    "companyName": "Gofive",
    "employeeRefId": "8888",
    "serialNo": "EP3600",
    "branchId": 0,
    "cost": 4999,
    "remark": "MacBook Air 13: M1 chip 8C CPU/7C GPU/8GB/256GB - Gold-2020 MacBook Air พลังหนักๆ บนความบางเบา โน้ตบุ๊คที่บางและเบาที่สุดของเรา วันนี้พลิกโฉมใหม่หมดในทุกด้าน ด้วยชิพ Apple M1 ที่ทำให้มี CPU เร็วขึ้นสูงสุด 3.5 เท่า และ GPU เร็วขึ้นสูงสุด 5 เท่า รวมทั้ง Neural Engine ที่ล้ำหน้าที่สุดของเรา",
    "tagNames": "ไอที",
    "hasWarranty": true,
    "monthOfWarranty": 12,
    "datePurchase": "2024-08-12 14:35:42",
    "isCommon": false
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "status": {
        "code": "1000",
        "description": "Success"
    },
    "data": {
        "message": "Asset added successfully.",
        "result": true
    }
}
Modified at 2026-04-28 10:40:01
Previous
Get Asset list
Next
Get Employee Assets
Built with